# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.PlacementData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.PlacementData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.PlacementData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# PlacementData 

###
Companion class PlacementData

#### object PlacementData extends Marshallable[PlacementData] with Serializable

Source
  PlacementData.scala

Linear Supertypes
Serializable, Marshallable[PlacementData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlacementData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(x: Float, y: Float, z: Float, roll: Float, pitch: Float, yaw: Float, vel: Vector3): PlacementData

   An abbreviated constructor for creating `PlacementData`, ignoring the `Vector3` for position data, supplying all other fields.

   An abbreviated constructor for creating `PlacementData`, ignoring the `Vector3` for position data, supplying all other fields.

   x

     the x-coordinate location in the world

   y

     the y-coordinate location in the world

   z

     the z-coordinate location in the world

   roll

     the amount of roll that affects orientation

   pitch

     the amount of pitch that affects orientation

   yaw

     the amount of yaw that affects orientation

   vel

     optional movement data that occurs upon placement

   returns

     a `PlacementData` object

5.  def apply(x: Float, y: Float, z: Float, roll: Float, pitch: Float, yaw: Float): PlacementData

   An abbreviated constructor for creating `PlacementData`, ignoring the `Vector3` for position data, supplying other important fields.

   An abbreviated constructor for creating `PlacementData`, ignoring the `Vector3` for position data, supplying other important fields.

   x

     the x-coordinate location in the world

   y

     the y-coordinate location in the world

   z

     the z-coordinate location in the world

   roll

     the amount of roll that affects orientation

   pitch

     the amount of pitch that affects orientation

   yaw

     the amount of yaw that affects orientation

   returns

     a `PlacementData` object

6.  def apply(x: Float, y: Float, z: Float): PlacementData

   An abbreviated constructor for creating `PlacementData`, ignoring the `Vector3` for position data.

   An abbreviated constructor for creating `PlacementData`, ignoring the `Vector3` for position data.

   x

     the x-coordinate location in the world

   y

     the y-coordinate location in the world

   z

     the z-coordinate location in the world

   returns

     a `PlacementData` object

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  implicit val codec: Codec[PlacementData]
   Definition Classes
     PlacementData → Marshallable
10.  def decode(a: BitVector): Attempt[DecodeResult[PlacementData]]
    Definition Classes
      Marshallable
11.  def encode(a: PlacementData): Attempt[BitVector]
    Definition Classes
      Marshallable
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[PlacementData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped